Module javafx.graphics
Package javafx.scene.shape

# Class MoveTo

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.MoveTo

    public class MoveTo
    extends PathElement

Creates an addition to the path by moving to the specified coordinates.

For more information on path elements see the `Path` and `PathElement` classes.

Example:

    import javafx.scene.shape.*;

    Path path = new Path();
    path.getElements().add(new MoveTo(0.0f, 0.0f));
    path.getElements().add(new LineTo(100.0f, 100.0f));

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `DoubleProperty` | `x` | Defines the specified X coordinate.
  `DoubleProperty` | `y` | Defines the specified Y coordinate.

  ### Properties inherited from class javafx.scene.shape.PathElement

  `absolute`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MoveTo()` | Creates an empty instance of MoveTo.
  `MoveTo​(double x, double y)` | Creates a new instance of MoveTo.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double` | `getX()` | Gets the value of the property x.
  `double` | `getY()` | Gets the value of the property y.
  `void` | `setX​(double value)` | Sets the value of the property x.
  `void` | `setY​(double value)` | Sets the value of the property y.
  `String` | `toString()` | Returns a string representation of this `MoveTo` object.
  `DoubleProperty` | `xProperty()` | Defines the specified X coordinate.
  `DoubleProperty` | `yProperty()` | Defines the specified Y coordinate.

  ### Methods inherited from class javafx.scene.shape.PathElement

  `absoluteProperty, isAbsolute, setAbsolute`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### x

    public final DoubleProperty xProperty
    Defines the specified X coordinate.
    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### y

    public final DoubleProperty yProperty
    Defines the specified Y coordinate.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

- ## Constructor Details

  - ### MoveTo

    public MoveTo()
    Creates an empty instance of MoveTo.

  - ### MoveTo

    public MoveTo​(double x, double y)
    Creates a new instance of MoveTo.
    Parameters:
      `x` - the horizontal coordinate to move to
      `y` - the vertical coordinate to move to

- ## Method Details

  - ### setX

    public final void setX​(double value)
    Sets the value of the property x.
    Property description:
      Defines the specified X coordinate.
    Default value:
      0.0

  - ### getX

    public final double getX()
    Gets the value of the property x.
    Property description:
      Defines the specified X coordinate.
    Default value:
      0.0

  - ### xProperty

    public final DoubleProperty xProperty()
    Defines the specified X coordinate.
    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### setY

    public final void setY​(double value)
    Sets the value of the property y.
    Property description:
      Defines the specified Y coordinate.
    Default value:
      0.0

  - ### getY

    public final double getY()
    Gets the value of the property y.
    Property description:
      Defines the specified Y coordinate.
    Default value:
      0.0

  - ### yProperty

    public final DoubleProperty yProperty()
    Defines the specified Y coordinate.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

  - ### toString

    public String toString()
    Returns a string representation of this `MoveTo` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `MoveTo` object.